Subject: bug#11585: Acknowledgement (24.0.50; corrupted byte compiled files)

From: Pierre Lorenzon <[email-masked]>
Date: Wed, 30 May 2012 10:05:37 +0200 (CEST)

Hi,

Ok I made a few tests by making the file name always more
shorter and miraculously saw more and more discarded characters
appearing in the byte compiled file. In my opinion the
`byte-compile-fix-header' function is responsible of this
undesirable behavior of the byte compile engine. I'll try to
analyse more precisely this function and eventually write a
patch if I discover that it is bugged. Anyway all these
narroing region killing and widening in this function look
mysterious to me and probably to complicated to obtain the
desired result but I have to look at it more precisely.

Regards !

Pierre